// Each UTDMT created will create it's own UTDMTStartPoint when 
// play begins.  If it ever is to respawn, it will respawn at this
// point.
class UTDMTStartPoint extends NavigationPoint;

var int Team;
// These here so we can spawn it.

event PostBeginPlay()
{
	SetTimer(1/Level.TimeDilation,False);
}

event Timer()
{
	if (Pawn(Owner) != None && Pawn(Owner).PlayerReplicationInfo != None)
	{
		Team = Pawn(Owner).PlayerReplicationInfo.Team;
		Log (self$" spawned for "$Pawn(Owner).PlayerReplicationInfo.PlayerName$" with Team "$Pawn(Owner).PlayerReplicationInfo.Team);
		if (ScriptedPawn(Owner) != None)
			ScriptedPawn(Owner).Team = Team;
	}
}

defaultproperties
{
     bStatic=False
}
